Subject: Re: bug#5578: 23.1.92; M-x man should consider $MANPATH when making completions

From: Colin Watson <[email-masked]>
Date: Mon, 15 Feb 2010 08:45:25 +0000

On Mon, Feb 15, 2010 at 05:06:06AM +0800, [email-masked] wrote:
> >>>>> "CW" == Colin Watson <[email-masked]> writes:
> CW> Run mandb as your ordinary user
> OK, I found that works and am closing the bug. Maybe that should be
> documented in emacs as at least working on Debian.

The bug title here is incorrect anyway; there's nothing Emacs is doing
that would avoid honouring $MANPATH, and that was never related to your
problem.  This isn't Debian-specific.

> (I discovered it makes files inside my private man tree... the mandb page
> perhaps isn't that clear about that.)

I don't think it needs to be.  It's creating an index for your private
manual hierarchy; either (a) it should be obvious that this would live
within your private manual hierarchy, since where else would it go or
(b) you should not need to care. :-)

-- 
Colin Watson                                       [[email-masked]]